commit 6eef18810d3b87490ec63d8aee0eb20d1b2a5bdd
Author: raveit65 <mate@raveit.de>
Date:   Sun Apr 9 21:16:15 2017 +0200

    release 1.18.2

 NEWS         | 5 +++++
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 089b7f46324bf071d8ddce1e15766083642e2f07
Author: raveit65 <mate@raveit.de>
Date:   Sun Apr 9 21:12:45 2017 +0200

    sync with transifex

 po/ar.po |  9 +++++----
 po/kk.po | 29 +++++++++++++++--------------
 po/lt.po | 18 +++++++++---------
 po/pt.po |  6 +++---
 4 files changed, 32 insertions(+), 30 deletions(-)

commit a2c14a672309d3b34890344b5375d0c8dff796d8
Author: Alexei Sorokin <sor.alexei@meowr.ru>
Date:   Sat Apr 8 23:41:31 2017 +0300

    matekbd-indicator: Don't expand
    
    Causes problems with mate-screensaver.

 libmatekbd/matekbd-indicator.c | 2 --
 1 file changed, 2 deletions(-)

commit 5d6248f915fecccd7fd3cba9858ef47ed10d5d77
Author: Martin Wimpress <martin@mate-desktop.org>
Date:   Thu Apr 6 16:07:27 2017 +0100

    Bump version to 1.18.1

 NEWS         | 14 ++++++++++++++
 configure.ac |  2 +-
 2 files changed, 15 insertions(+), 1 deletion(-)

commit f72cb3d12d794beedab5bb392506b54c1b5d1a2c
Author: raveit65 <mate@raveit.de>
Date:   Mon Apr 3 16:13:44 2017 +0200

    matekbd-indicator: don't use deprecated gdk_cairo_create
    
    Expose event is changed to draw
    
    partial taken from:
    https://git.gnome.org/browse/libgnomekbd/commit/?id=16c6c2b

 libmatekbd/matekbd-indicator.c | 25 +++++++++----------------
 1 file changed, 9 insertions(+), 16 deletions(-)

commit 303e86ed31a12d44592b3a688d2584a6bd9304ff
Author: raveit65 <mate@raveit.de>
Date:   Mon Apr 3 15:47:36 2017 +0200

    Fix for strange GtkIconInfo behaviour
    
    Sometimes you can get an icon without filename. Odd
    
    taken from:
    https://git.gnome.org/browse/libgnomekbd/commit/?id=44e2396

 libmatekbd/matekbd-indicator-config.c | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit 4e78638051b25a3fb6ff2ce47ff9a42f711f4982
Author: raveit65 <mate@raveit.de>
Date:   Sun Apr 2 19:02:12 2017 +0200

    matekbd-indicator: don't use deprecated GtkAlignment

 libmatekbd/matekbd-indicator.c | 16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

commit e0e5650c8889586f91f7794272bd26f247971852
Author: raveit65 <mate@raveit.de>
Date:   Sun Apr 2 15:00:44 2017 +0200

    keyboard-drawing: set css name matekbd-keyboard-drawing
    
    Needed to avoid using wildcards in themes for styling
    selected bg on pressed keys on 'widget' css name.

 libmatekbd/matekbd-keyboard-drawing.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 8d7526cba768a3626ede09b601efe95e2739f80e
Author: raveit65 <mate@raveit.de>
Date:   Sun Apr 2 12:34:12 2017 +0200

    Slightly increase the font size for the key labels
    
    It was 10, it is 12 now
    https://bugzilla.gnome.org/show_bug.cgi?id=642903
    
    taken from:
    https://git.gnome.org/browse/libgnomekbd/commit/?id=efb1354

 libmatekbd/matekbd-keyboard-drawing.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 47098e99757a01e599e03cceb1e637bf757101e9
Author: raveit65 <mate@raveit.de>
Date:   Sun Apr 2 11:44:13 2017 +0200

    matekbd-keyboard-drawing: Don't unset double buffering
    
    It's not needed with modern gtk+ .
    
    taken from:
    https://git.gnome.org/browse/libgnomekbd/commit/?id=ae83b72

 libmatekbd/matekbd-keyboard-drawing.c | 2 --
 1 file changed, 2 deletions(-)

commit 2f12b7ca7d63e8eef0943a99179f31abde1d3282
Author: raveit65 <mate@raveit.de>
Date:   Sun Apr 2 08:32:38 2017 +0200

    matekbd-keyboard-drawing: Handle XkbGetKeyboard() failing
    
    XkbGetKeyboard() might fail but we might still be able to work with a
    XkbGetKeyboardByName() later in gkbd_keyboard_drawing_set_keyboard()
    so don't abort the initialization if it fails.
    
    taken from:
    https://git.gnome.org/browse/libgnomekbd/commit/?id=5f260b2

 libmatekbd/matekbd-keyboard-drawing.c | 27 +++++++++++++++------------
 1 file changed, 15 insertions(+), 12 deletions(-)

commit 0c6d56e56978500d0491f2b809e2e31287eeb98d
Author: raveit65 <mate@raveit.de>
Date:   Sun Apr 2 08:17:11 2017 +0200

    matekbd-keyboard-drawing: Prevent gtk+ keynav from taking focus away
    
    We need to tell gtk+ we handled the key event otherwise gtk+ keynav
    key events will move focus to the close button and it looks like the
    dialog stopped working.
    
    taken from:
    https://git.gnome.org/browse/libgnomekbd/commit/?id=648cd5a

 libmatekbd/matekbd-keyboard-drawing.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b3a06f947493002f75933117343fd8eb8e2469d5
Author: raveit65 <mate@raveit.de>
Date:   Sun Apr 2 19:55:22 2017 +0200

    fix some introspection warnings

 libmatekbd/matekbd-keyboard-config.c  | 3 +--
 libmatekbd/matekbd-keyboard-drawing.c | 3 +++
 2 files changed, 4 insertions(+), 2 deletions(-)

commit 92299e6db966d18a0e21ef7ea38f19dc86a6912b
Author: raveit65 <mate@raveit.de>
Date:   Thu Mar 30 16:39:35 2017 +0200

    Revert "pre-bump version"
    
    This reverts commit 722aeeccdbdeb68fa03e6f52f170b1b142eb54e6.

 NEWS         | 2 --
 configure.ac | 2 +-
 2 files changed, 1 insertion(+), 3 deletions(-)

commit 722aeeccdbdeb68fa03e6f52f170b1b142eb54e6
Author: raveit65 <mate@raveit.de>
Date:   Thu Mar 30 16:36:19 2017 +0200

    pre-bump version

 NEWS         | 2 ++
 configure.ac | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit cf440b263e6e35531d77b20da9ff2b8d0a802e57
Author: raveit65 <mate@raveit.de>
Date:   Mon Mar 27 18:18:13 2017 +0200

    show-layout.ui: don't use deprecated widgets

 libmatekbd/show-layout.ui | 73 ++++++++++++++++++++++++++++++-----------------
 1 file changed, 47 insertions(+), 26 deletions(-)

commit 9b2b1973c194399c6824efb7c63815011fb5d5bf
Author: raveit65 <mate@raveit.de>
Date:   Mon Mar 27 18:16:14 2017 +0200

    UI: expand kbdraw vertical

 libmatekbd/matekbd-keyboard-drawing.c | 1 +
 1 file changed, 1 insertion(+)

commit cdc776896fe313a995bd2f789c0ea3990e33eccb
Author: raveit65 <mate@raveit.de>
Date:   Sun Mar 12 13:02:10 2017 +0100

    release 1.18

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0cde6e33800102a24370dc3443a364ca701efba3
Author: raveit65 <mate@raveit.de>
Date:   Sun Mar 12 13:01:23 2017 +0100

    sync with transifex

 po/am.po          | 70 +++++++++++++++++++++++++++----------------------------
 po/ar.po          | 18 +++++++-------
 po/as.po          | 18 +++++++-------
 po/ast.po         | 18 +++++++-------
 po/be.po          | 18 +++++++-------
 po/bg.po          | 18 +++++++-------
 po/bn.po          | 18 +++++++-------
 po/bn_IN.po       | 18 +++++++-------
 po/br.po          | 18 +++++++-------
 po/bs.po          | 58 ++++++++++++++++++++++-----------------------
 po/ca.po          | 25 ++++++++++----------
 po/ca@valencia.po | 18 +++++++-------
 po/cmn.po         | 18 +++++++-------
 po/cs.po          | 18 +++++++-------
 po/cy.po          | 18 +++++++-------
 po/da.po          | 18 +++++++-------
 po/de.po          | 18 +++++++-------
 po/dz.po          | 18 +++++++-------
 po/el.po          | 22 ++++++++---------
 po/en_AU.po       | 18 +++++++-------
 po/en_GB.po       | 18 +++++++-------
 po/eo.po          | 18 +++++++-------
 po/es.po          | 18 +++++++-------
 po/es_CO.po       | 18 +++++++-------
 po/es_MX.po       | 18 +++++++-------
 po/et.po          | 18 +++++++-------
 po/eu.po          | 18 +++++++-------
 po/fi.po          | 18 +++++++-------
 po/fr.po          | 18 +++++++-------
 po/frp.po         | 18 +++++++-------
 po/ga.po          | 18 +++++++-------
 po/gl.po          | 18 +++++++-------
 po/gu.po          | 18 +++++++-------
 po/he.po          | 18 +++++++-------
 po/hi.po          | 18 +++++++-------
 po/hr.po          | 18 +++++++-------
 po/hu.po          | 18 +++++++-------
 po/hy.po          | 18 +++++++-------
 po/id.po          | 18 +++++++-------
 po/is.po          | 18 +++++++-------
 po/it.po          | 20 ++++++++--------
 po/ja.po          | 18 +++++++-------
 po/jv.po          | 18 +++++++-------
 po/ka.po          | 18 +++++++-------
 po/kk.po          | 18 +++++++-------
 po/kn.po          | 18 +++++++-------
 po/ko.po          | 18 +++++++-------
 po/ku_IQ.po       | 18 +++++++-------
 po/ky.po          | 18 +++++++-------
 po/lt.po          | 18 +++++++-------
 po/lv.po          | 18 +++++++-------
 po/mai.po         | 18 +++++++-------
 po/mk.po          | 18 +++++++-------
 po/ml.po          | 18 +++++++-------
 po/mr.po          | 18 +++++++-------
 po/ms.po          | 18 +++++++-------
 po/nb.po          | 18 +++++++-------
 po/ne.po          | 18 +++++++-------
 po/nl.po          | 18 +++++++-------
 po/nn.po          | 18 +++++++-------
 po/oc.po          | 18 +++++++-------
 po/or.po          | 18 +++++++-------
 po/pa.po          | 18 +++++++-------
 po/pl.po          | 22 +++++++++--------
 po/pt.po          | 18 +++++++-------
 po/pt_BR.po       | 18 +++++++-------
 po/ro.po          | 18 +++++++-------
 po/ru.po          | 18 +++++++-------
 po/sc.po          | 18 +++++++-------
 po/si.po          | 18 +++++++-------
 po/sk.po          | 18 +++++++-------
 po/sl.po          | 18 +++++++-------
 po/sq.po          | 18 +++++++-------
 po/sr.po          | 18 +++++++-------
 po/sr@latin.po    | 18 +++++++-------
 po/sv.po          | 18 +++++++-------
 po/ta.po          | 18 +++++++-------
 po/te.po          | 18 +++++++-------
 po/th.po          | 18 +++++++-------
 po/tr.po          | 18 +++++++-------
 po/uk.po          | 22 ++++++++---------
 po/uz.po          | 18 +++++++-------
 po/vi.po          | 18 +++++++-------
 po/zh_CN.po       | 18 +++++++-------
 po/zh_HK.po       | 18 +++++++-------
 po/zh_TW.po       | 18 +++++++-------
 86 files changed, 832 insertions(+), 829 deletions(-)

commit c1d212a3b7116b94092d1838baa7f9f59f830b49
Author: monsta <monsta@inbox.ru>
Date:   Sun Mar 12 14:26:18 2017 +0300

    update NEWS for 1.18

 NEWS | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit cc9a1d2afa1a30b98377c0db0f5cbfe68db9683e
Author: Martin Wimpress <martin@mate-desktop.org>
Date:   Fri Jan 13 16:13:03 2017 +0000

    Update libmatekbd NEWS to use consistent, project wide, markdown-like formatting. This will make generating release announcements easier.

 NEWS | 94 +++++++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 51 insertions(+), 43 deletions(-)

commit 999ae909ba34763aaecdf6666536a93225ca649d
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sun Nov 20 23:07:45 2016 +0100

    release 1.17.0

 NEWS | 2 ++
 1 file changed, 2 insertions(+)

commit 11a9525dec907a9b928c54648046a6497cd36b28
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sun Nov 20 23:06:00 2016 +0100

    sync with transiflex

 po/bg.po    | 15 ++++++------
 po/es.po    |  4 ++--
 po/hr.po    |  4 ++--
 po/nb.po    | 10 ++++----
 po/oc.po    | 79 +++++++++++++++++++++++++++++++------------------------------
 po/pt_BR.po |  2 +-
 po/ro.po    |  4 ++--
 po/sc.po    |  2 +-
 po/sv.po    |  7 +++---
 9 files changed, 65 insertions(+), 62 deletions(-)

commit adef8bf4cf287d313848a66227f5b6c008d82e23
Author: raveit65 <chat-to-me@raveit.de>
Date:   Thu Oct 13 10:09:11 2016 +0200

    pre-bump version in NEWS

 NEWS | 2 ++
 1 file changed, 2 insertions(+)

commit 002845e5d9a1272b12dc493ea8b2426951069310
Author: monsta <monsta@inbox.ru>
Date:   Tue Oct 11 21:34:59 2016 +0300

    move to GTK+3 (>= 3.14), drop GTK+2 code and --with-gtk build option

 Makefile.am                           |   2 +-
 configure.ac                          |  41 ++--------
 libmatekbd.pc.in                      |   2 +-
 libmatekbd/Makefile.am                |   2 +-
 libmatekbd/matekbd-indicator-config.c |  32 --------
 libmatekbd/matekbd-keyboard-drawing.c | 149 +---------------------------------
 libmatekbd/matekbd-keyboard-drawing.h |   8 --
 test/matekbd-indicator-test.c         |   6 +-
 8 files changed, 10 insertions(+), 232 deletions(-)

commit 14e2a76353f603a520a1b005bbe862a6b12db18b
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sun Sep 18 08:07:35 2016 +0200

    release 1.16.0

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 17435ee4c46aca5a2f00b0d67c7db45e543b41d0
Author: monsta <monsta@inbox.ru>
Date:   Sat Sep 17 21:57:04 2016 +0300

    update NEWS for 1.16

 NEWS | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit 63e5ebbb8d24ad72c92cd23a5d2aedbd7b47f768
Author: monsta <monsta@inbox.ru>
Date:   Sat Sep 17 21:54:08 2016 +0300

    sync with Transifex

 po/bs.po          |  9 +++++----
 po/ca.po          | 16 ++++++++--------
 po/ca@valencia.po | 41 +++++++++++++++++++++--------------------
 po/es_CO.po       | 13 +++++++------
 po/ku_IQ.po       | 21 +++++++++++----------
 po/lt.po          |  6 +++---
 po/pt.po          |  9 +++++----
 7 files changed, 60 insertions(+), 55 deletions(-)

commit 85daafffeb8669d97130dca89ef5b8b9378d2c68
Author: raveit65 <chat-to-me@raveit.de>
Date:   Fri Jul 15 19:09:38 2016 +0200

    distcheck: explicitly use currently selected GTK+ version

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9a9f93fe8b1f03ca8df88b8bb17683f9dec65dcc
Author: monsta <monsta@inbox.ru>
Date:   Thu Jul 7 14:56:27 2016 +0300

    po: drop languages not present on Transifex + en_US

 po/LINGUAS     |   3 -
 po/be@latin.po | 261 ---------------------------------------------------
 po/en@shaw.po  | 286 --------------------------------------------------------
 po/en_US.po    | 289 ---------------------------------------------------------
 4 files changed, 839 deletions(-)

commit bc17ce164e9e9fd8635b89e62169a2b446e54b66
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Jun 7 12:59:48 2016 +0200

    release 1.15.0

 NEWS | 5 +++++
 1 file changed, 5 insertions(+)

commit b5f35fda9a5dc1a60c60d7cacc12a81666392605
Author: monsta <monsta@inbox.ru>
Date:   Tue Jun 7 12:34:13 2016 +0300

    bump version to 1.15.0

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d330b5fd54ea4c86985a48c65e959184a6ef9bb5
Author: monsta <monsta@inbox.ru>
Date:   Tue Jun 7 12:25:27 2016 +0300

    require libxklavier 5.2 and use its introspection
    
    this fixes some build warnings

 configure.ac           | 2 +-
 libmatekbd/Makefile.am | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 4d9bb5f8ddea1d8756772e0c1bc54105f36a67af
Author: Sorokin Alexei <sor.alexei@meowr.ru>
Date:   Wed Jun 1 02:12:17 2016 +0300

    GTK+3: use GdkRGBA instead of deprecated GdkColor
    
    this breaks ABI to some extent,
    additionally store GdkColor instead of a pointer on GTK+2

 libmatekbd/matekbd-keyboard-drawing.c | 164 +++++++++++++++++++++++++---------
 libmatekbd/matekbd-keyboard-drawing.h |  10 ++-
 2 files changed, 131 insertions(+), 43 deletions(-)

commit ff8e6e29e6db8f4ef8e5bd79f123e7e207f5be80
Author: Sorokin Alexei <sor.alexei@meowr.ru>
Date:   Wed Jun 1 01:56:59 2016 +0300

    GTK+3: use GtkStyleContext
    
    this fixes #28 on supported themes

 libmatekbd/matekbd-indicator-config.c |  81 +++++++++++++-----
 libmatekbd/matekbd-keyboard-drawing.c | 153 +++++++++++++++++++++++++++-------
 2 files changed, 186 insertions(+), 48 deletions(-)

commit 8595becf479f699e5adaf07d747b3146cbd89fa8
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sat May 21 02:38:41 2016 +0200

    update to 1.14.1 release

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 1c832909b5268806339359fbf095bb2e48917a6d
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sat May 21 02:19:33 2016 +0200

    sync with transiflex

 po/ca.po    | 14 +++++++-------
 po/el.po    | 17 +++++++++--------
 po/es.po    |  4 ++--
 po/hi.po    |  2 +-
 po/nb.po    |  4 ++--
 po/pt_BR.po |  7 ++++---
 po/sv.po    |  7 ++++---
 po/uz.po    | 39 ++++++++++++++++++++-------------------
 8 files changed, 49 insertions(+), 45 deletions(-)

commit bf0a1627b391a75b1f707aaef9c7dcf0c7c389a2
Author: monsta <monsta@inbox.ru>
Date:   Thu Apr 7 14:30:27 2016 +0300

    po: add lots of missing languages to LINGUAS

 po/LINGUAS | 80 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 80 insertions(+)

commit dccb56bc5c904946bab74a1f699f10262c972470
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Apr 5 11:55:41 2016 +0200

    release 1.14.0

 NEWS         | 3 ++-
 configure.ac | 2 +-
 2 files changed, 3 insertions(+), 2 deletions(-)

commit f0b25646dd37d54c5f44934e4b2a8770a837c9b6
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Apr 5 11:53:26 2016 +0200

    Fix Changelog generation

 Makefile.am | 21 +++++++++------------
 1 file changed, 9 insertions(+), 12 deletions(-)

commit 75529fda80be00230e9b6eeb81a81a275b66c7d2
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Apr 5 11:44:06 2016 +0200

    sync with transiflex

 po/be.po    |   2 +-
 po/bg.po    |   9 +--
 po/br.po    |  21 ++++---
 po/ca.po    |  17 ++---
 po/cs.po    |  13 ++--
 po/cy.po    |  41 ++++++------
 po/es_CO.po |   2 +-
 po/es_MX.po |   4 +-
 po/fi.po    | 202 +++++++++++++++++++----------------------------------------
 po/frp.po   |   7 ++-
 po/hr.po    |   2 +-
 po/hu.po    |  19 +++---
 po/hy.po    |  14 ++---
 po/id.po    |   2 +-
 po/is.po    |   4 +-
 po/ja.po    |  31 +++++-----
 po/ko.po    |   4 +-
 po/lt.po    |  16 ++---
 po/nb.po    |  17 ++---
 po/oc.po    |   4 +-
 po/pl.po    |   2 +-
 po/ro.po    |  10 +--
 po/ru.po    | 203 +++++++++++++++++++-----------------------------------------
 po/sv.po    |   2 +-
 po/th.po    |   4 +-
 po/tr.po    |  17 ++---
 po/uk.po    |  36 +++++------
 po/uz.po    |   2 +-
 po/zh_CN.po |  18 +++---
 29 files changed, 295 insertions(+), 430 deletions(-)

commit 1550ec98afd7ccbafc547e27671b777d4f2c9946
Author: monsta <monsta@inbox.ru>
Date:   Mon Apr 4 17:28:35 2016 +0300

    update NEWS

 NEWS | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit c5a3a29da67cc8ef884d3bac956603818f8c4e17
Author: monsta <monsta@inbox.ru>
Date:   Fri Mar 4 12:12:29 2016 +0300

    properly reset timeout source id to 0
    
    from
    https://git.gnome.org/browse/libgnomekbd/commit/?id=51abfc03dd1f0f1904455b703106abe19a062eec

 libmatekbd/matekbd-keyboard-drawing.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 226317d63b5bcf19e7ee888ef957379e10231c66
Author: monsta <monsta@inbox.ru>
Date:   Fri Mar 4 12:07:32 2016 +0300

    test: exit when option parsing fails
    
    from
    https://git.gnome.org/browse/libgnomekbd/commit/?id=32eaea94a3b19ad3c6b7fcff5fec94454fbfd97f

 test/matekbd-keyboard-drawing-test.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 4d36400f979d31fa4295bbdd9111de2c45a375ae
Author: Martin Wimpress <code@flexion.org>
Date:   Fri Feb 19 14:17:25 2016 +0000

    Sync with Transifex

 po/da.po |  22 +++----
 po/he.po |   7 ++-
 po/it.po |  34 ++++++-----
 po/ne.po |   2 +-
 po/sk.po |  18 +++---
 po/uk.po | 205 ++++++++++++++++++++-------------------------------------------
 6 files changed, 109 insertions(+), 179 deletions(-)

commit a0d7a018168886416bcdcda7af2d088edcc6a84a
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sun Jan 24 04:19:16 2016 +0100

    release 1.13.0

 NEWS | 3 +++
 1 file changed, 3 insertions(+)

commit 65d8626ef3b52db0fbcc9017d8aea926bdea3020
Author: monsta <monsta@inbox.ru>
Date:   Thu Jan 21 14:51:24 2016 +0300

    use gtk_image_new_from_icon_name in both GTK+ builds

 libmatekbd/matekbd-indicator.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c81f1547bbc678e85def8c85b6be89fb9a18a975
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Tue Jan 5 01:43:57 2016 +0100

    pre-bump version to 1.13.0

 NEWS         | 2 ++
 configure.ac | 4 ++--
 2 files changed, 4 insertions(+), 2 deletions(-)

commit 6f8f79f3b8d68cfc26a56f74a9479247df862ea7
Author: Monsta <monsta@inbox.ru>
Date:   Sat Jan 2 22:05:58 2016 +0300

    drop MateConf migration script

 libmatekbd/Makefile.am     |  6 +-----
 libmatekbd/matekbd.convert | 27 ---------------------------
 2 files changed, 1 insertion(+), 32 deletions(-)

commit 2068b4a0c6cd4b2053952b2ec6f6216b193a354f
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sun Dec 6 22:53:42 2015 +0100

    reduce introspection build warnings
    
    * Cleans up a bunch of warnings, and gets g-ir-scanner
      to actually recognize the annotations.
    
    taken from:
    https://git.gnome.org/browse/libgnomekbd/commit/?id=54c7e95

 libmatekbd/matekbd-desktop-config.c   |  6 +++---
 libmatekbd/matekbd-desktop-config.h   |  2 +-
 libmatekbd/matekbd-indicator-config.c |  4 ++--
 libmatekbd/matekbd-indicator-config.h |  2 +-
 libmatekbd/matekbd-indicator.c        |  6 ++++++
 libmatekbd/matekbd-keyboard-config.c  | 13 +++++++------
 libmatekbd/matekbd-keyboard-config.h  |  2 +-
 libmatekbd/matekbd-keyboard-drawing.c |  6 +++---
 libmatekbd/matekbd-status.c           |  6 ++++++
 libmatekbd/matekbd-util.c             |  1 +
 10 files changed, 31 insertions(+), 17 deletions(-)

commit f4e536a58fa07a70576a836248b42f4cab89e1fe
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sun Dec 6 22:41:38 2015 +0100

    GTK3: don't use deprecated gtk_vbox_new

 test/matekbd-indicator-test.c | 4 ++++
 1 file changed, 4 insertions(+)

commit c116036e71d397f3ca9827f2fc8f40afbe8e5d5d
Author: Monsta <monsta@inbox.ru>
Date:   Sun Nov 29 21:12:34 2015 +0300

    Bump version to 1.12.1

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit fdfc07bc3e482f0fe5563b2450081899092e30d3
Author: Clement Lefebvre <clement.lefebvre@linuxmint.com>
Date:   Tue Nov 3 12:44:02 2015 +0000

    Sync translations with transifex

 po/af.po     | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/an.po     | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/az.po     | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/br.po     | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/bs.po     | 216 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/crh.po    | 212 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/csb.po    | 216 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/cv.po     | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/cy.po     | 218 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/de_CH.po  | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/en_CA.po  | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/es_419.po | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/es_AR.po  | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/es_CL.po  | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/es_CO.po  | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/es_CR.po  | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/es_DO.po  | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/es_EC.po  | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/es_ES.po  | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/es_MX.po  | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/es_NI.po  | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/es_PA.po  | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/es_PE.po  | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/es_PR.po  | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/es_SV.po  | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/es_US.po  | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/es_UY.po  | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/es_VE.po  | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/fa.po     | 212 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/fil.po    | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/fo.po     | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/fr_CA.po  | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/frp.po    | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/fur.po    | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/fy.po     | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/gd.po     | 218 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/ha.po     | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/ia.po     | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/ig.po     | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/is.po     | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/jv.po     | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/kk.po     | 212 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/km.po     | 212 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/ks.po     | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/ku.po     | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/ku_IQ.po  | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/la.po     | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/lb.po     | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/li.po     | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/lo.po     | 212 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/mg.po     | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/mi.po     | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/mn.po     | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/my.po     | 212 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/nah.po    | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/nds.po    | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/ne.po     | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/nqo.po    | 212 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/nso.po    | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/om.po     | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/ps.po     | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/rw.po     | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/sc.po     | 215 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/sco.po    | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/so.po     | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/sw.po     | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/tg.po     | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/tk.po     | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/tl.po     | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/ts.po     | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/tt.po     | 212 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/ug.po     | 212 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/ur.po     | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/ur_PK.po  | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/uz.po     | 212 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/wa.po     | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/xh.po     | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/yi.po     | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/yo.po     | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/zu.po     | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 80 files changed, 17113 insertions(+)

commit 12adb794493695a35b4bac5ba2118e578ee1cf34
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Sun Nov 1 16:36:15 2015 +0100

    Sync translations with transifex

 po/LINGUAS        |   1 +
 po/am.po          | 216 ++++++++++++----------------------
 po/ar.po          | 202 ++++++++++----------------------
 po/as.po          | 286 ++++++++++++++++++++-------------------------
 po/ast.po         | 204 +++++++++++---------------------
 po/be.po          | 196 ++++++++++---------------------
 po/bg.po          | 308 ++++++++++++++++++------------------------------
 po/bn.po          | 310 +++++++++++++++++++------------------------------
 po/bn_IN.po       | 288 ++++++++++++++++++++-------------------------
 po/ca.po          | 322 ++++++++++++++++++--------------------------------
 po/ca@valencia.po | 326 +++++++++++++++++++--------------------------------
 po/cmn.po         | 204 +++++++++++---------------------
 po/cs.po          | 302 ++++++++++++++++++-----------------------------
 po/da.po          | 323 ++++++++++++++++++---------------------------------
 po/de.po          | 209 +++++++++++----------------------
 po/dz.po          | 291 +++++++++++++++++++++-------------------------
 po/el.po          | 202 ++++++++++----------------------
 po/en_AU.po       | 206 +++++++++++---------------------
 po/en_GB.po       | 201 ++++++++++----------------------
 po/eo.po          | 306 ++++++++++++++++++------------------------------
 po/es.po          | 206 +++++++++++---------------------
 po/et.po          | 206 +++++++++++---------------------
 po/eu.po          | 212 +++++++++++----------------------
 po/fr.po          | 203 +++++++++++---------------------
 po/ga.po          | 290 ++++++++++++++++++++-------------------------
 po/gl.po          | 218 ++++++++++++----------------------
 po/gu.po          | 288 ++++++++++++++++++++-------------------------
 po/he.po          | 311 +++++++++++++++++--------------------------------
 po/hi.po          | 202 ++++++++++----------------------
 po/hr.po          | 200 ++++++++++---------------------
 po/hu.po          | 307 ++++++++++++++++++------------------------------
 po/hy.po          | 215 ++++++++++++++++++++++++++++++++++
 po/id.po          | 306 ++++++++++++++++++------------------------------
 po/it.po          | 307 ++++++++++++++++++------------------------------
 po/ja.po          | 307 ++++++++++++++++++------------------------------
 po/ka.po          | 286 +++++++++++++++++++++------------------------
 po/kn.po          | 292 ++++++++++++++++++++--------------------------
 po/ko.po          | 203 +++++++++++---------------------
 po/ky.po          | 198 ++++++++++---------------------
 po/lt.po          | 203 +++++++++++---------------------
 po/lv.po          | 313 +++++++++++++++++++------------------------------
 po/mai.po         | 250 ++++++++++++++++++---------------------
 po/mk.po          | 304 ++++++++++++++++++++----------------------------
 po/ml.po          | 287 ++++++++++++++++++++-------------------------
 po/mr.po          | 194 ++++++++++---------------------
 po/ms.po          | 202 ++++++++++----------------------
 po/nb.po          | 301 ++++++++++++++++++-----------------------------
 po/nl.po          | 320 ++++++++++++++++++--------------------------------
 po/nn.po          | 290 ++++++++++++++++++++-------------------------
 po/oc.po          | 244 +++++++++++++++++---------------------
 po/or.po          | 291 ++++++++++++++++++++--------------------------
 po/pa.po          | 298 +++++++++++++++++------------------------------
 po/pl.po          | 305 ++++++++++++++++++------------------------------
 po/pt.po          | 204 +++++++++++---------------------
 po/pt_BR.po       | 205 +++++++++++---------------------
 po/ro.po          | 202 ++++++++++----------------------
 po/si.po          | 281 ++++++++++++++++++++------------------------
 po/sk.po          | 204 +++++++++++---------------------
 po/sl.po          | 204 +++++++++++---------------------
 po/sq.po          | 204 +++++++++++---------------------
 po/sr.po          | 200 ++++++++++---------------------
 po/sr@latin.po    | 342 +++++++++++++++++++-----------------------------------
 po/sv.po          | 321 ++++++++++++++++++--------------------------------
 po/ta.po          | 309 ++++++++++++++++++------------------------------
 po/te.po          | 287 ++++++++++++++++++++-------------------------
 po/th.po          | 327 ++++++++++++++++++++-------------------------------
 po/tr.po          | 216 ++++++++++++----------------------
 po/vi.po          | 292 ++++++++++++++++++++--------------------------
 po/zh_CN.po       | 312 ++++++++++++++++++-------------------------------
 po/zh_HK.po       | 306 +++++++++++++++++-------------------------------
 po/zh_TW.po       | 306 +++++++++++++++++-------------------------------
 71 files changed, 6820 insertions(+), 11364 deletions(-)

commit 2af1bb260bcbb7dc96ec1080c3e79b9b8d97ff76
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sat Oct 31 12:06:05 2015 +0100

    release 1.12.0

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f24e5bb76b4dc07e1fdb5c9fcdbea211fc24dce1
Author: monsta <monsta@inbox.ru>
Date:   Fri Oct 30 14:51:42 2015 +0300

    update NEWS for 1.12

 NEWS | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 636c3142196d008df584376fc35f9619d5ec9638
Author: monsta <monsta@inbox.ru>
Date:   Thu Oct 15 15:45:07 2015 +0300

    NEWS: drop useless gnome news and use spaces for indentation

 NEWS | 123 +++----------------------------------------------------------------
 1 file changed, 5 insertions(+), 118 deletions(-)

commit 5e8b69cf7c6d031cbb0b0f01a7518e72146c0af1
Author: monsta <monsta@inbox.ru>
Date:   Fri Oct 9 12:37:49 2015 +0300

    Add NEWS for 1.11.0

 NEWS | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 27e607b5ebc5f40ccf210fe841216a55935a836d
Author: monsta <monsta@inbox.ru>
Date:   Fri Oct 9 13:13:12 2015 +0300

    fix introspection build stuff so distcheck won't fail

 libmatekbd/Makefile.am | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 5d949703202099eaf00c97de1d3c499463d64ce7
Author: infirit <infirit@gmail.com>
Date:   Wed Sep 9 13:24:49 2015 +0200

    First dev release bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9fbe991558ec23baefbbb16db48fc3fc1a993077
Merge: 5abe9c3 d30a4f4
Author: Martin Wimpress <code@flexion.org>
Date:   Tue Sep 8 12:21:43 2015 +0100

    Merge pull request #26 from monsta/patch-1
    
    configure.ac: drop obsolete macro

commit 5abe9c3206bb68f721719f42ea2a0d08fc0e44c3
Author: infirit <infirit@gmail.com>
Date:   Mon Sep 7 01:59:30 2015 +0200

    Use cairo surfaces for both Gtk versions

 libmatekbd/matekbd-keyboard-drawing.c | 47 +----------------------------------
 libmatekbd/matekbd-keyboard-drawing.h |  4 ---
 2 files changed, 1 insertion(+), 50 deletions(-)

commit 6080e21f028cece6493f0e4adef45174a363cdfa
Author: infirit <infirit@gmail.com>
Date:   Mon Sep 7 00:22:36 2015 +0200

    Do not highlight when focus is received
    
    Taken from libgnomekbd,
    commit: c9ed581f8d593da2d206127f09866ccffb95256a
    from: Sergey V. Udaltsov <svu@gnome.org>
    gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=640425

 libmatekbd/matekbd-keyboard-drawing.c | 20 --------------------
 1 file changed, 20 deletions(-)

commit af5a725ad9cbf0f44ae257de8824f1c69b6ce49d
Author: infirit <infirit@gmail.com>
Date:   Mon Sep 7 01:40:18 2015 +0200

    whitespace fixes

 libmatekbd/matekbd-keyboard-drawing.c | 38 ++++++++++++++++++-----------------
 1 file changed, 20 insertions(+), 18 deletions(-)

commit 2997a9df6be9444e8d29541ae87a46e93552992f
Author: infirit <infirit@gmail.com>
Date:   Mon Sep 7 01:41:47 2015 +0200

    Improved cooords for labels - consider complex outlines
    
    taken from libgnomekbd,
    commit: 378d768da68f9b6efce80081bb1c4c8729a4f7b9
    from: Sergey V. Udaltsov <svu@gnome.org>
    gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=640425

 libmatekbd/matekbd-keyboard-drawing.c | 36 +++++++++++++++++++++++++++++++----
 1 file changed, 32 insertions(+), 4 deletions(-)

commit 81b2a5edf60e51eea7906663d34a5fd3d68726d3
Author: infirit <infirit@gmail.com>
Date:   Mon Sep 7 01:27:06 2015 +0200

    Improving rendering of long strings in the kbd preview
    
    
    Taken from libgnomelbd,
    commit: 9708664343b0b4a40d6af82e1bc3e63e9c63fb23
    from: Sergey V. Udaltsov <svu@gnome.org>
    gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=633680

 libmatekbd/matekbd-keyboard-drawing.c | 97 ++++++++++++++++++++---------------
 1 file changed, 56 insertions(+), 41 deletions(-)

commit 90075f0eb2af9c6a377640214e9971330c911836
Author: infirit <infirit@gmail.com>
Date:   Mon Sep 7 00:47:51 2015 +0200

    Use variant-specific short descriptions, if available
    
    Taken from libgnomekbd,
    Commit: d27cb9b53c1c8a361f752e1008c993e2d37acb6c
    From: Sergey V. Udaltsov <svu@gnome.org>

 libmatekbd/matekbd-desktop-config.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit f3d8a72e097d997978213a2dbd3edbb83ad30047
Author: infirit <infirit@gmail.com>
Date:   Mon Sep 7 00:43:04 2015 +0200

    Include gi18n-lib.h in library sources instead of gi18n.h
    
    commit: 35ebaff2df44d06d558a946f99b1edf449296c41
    See https://bugzilla.gnome.org/show_bug.cgi?id=639569

 libmatekbd/matekbd-desktop-config.c   | 2 +-
 libmatekbd/matekbd-indicator-config.c | 2 +-
 libmatekbd/matekbd-indicator.c        | 3 ++-
 libmatekbd/matekbd-keyboard-drawing.c | 2 +-
 libmatekbd/matekbd-status.c           | 3 ++-
 libmatekbd/matekbd-util.c             | 2 +-
 6 files changed, 8 insertions(+), 6 deletions(-)

commit 8b237cf41192cb75f3ff00a2c3b3d3c050c71bf7
Author: infirit <infirit@gmail.com>
Date:   Mon Sep 7 00:22:12 2015 +0200

    Gtk3: Use draw as callback function

 libmatekbd/matekbd-keyboard-drawing.c | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

commit c8f01f720cfe1e048932ee912cb2039c85ab2622
Author: infirit <infirit@gmail.com>
Date:   Mon Sep 7 00:04:49 2015 +0200

    Add gobject introspection
    
    Based on libgnomekbd,
    commit: 0b2a10f764358fea0f2c078bba6f54eb188946c0
    from: Sergey V. Udaltsov <svu@gnome.org>

 Makefile.am            |  2 ++
 configure.ac           |  3 +++
 libmatekbd/Makefile.am | 29 ++++++++++++++++++++++++++++-
 3 files changed, 33 insertions(+), 1 deletion(-)

commit cdad21434af7395ddba4b2c304e273925206cc38
Author: infirit <infirit@gmail.com>
Date:   Mon Sep 7 00:03:48 2015 +0200

    Fix spelling mistakes

 libmatekbd/matekbd-indicator.h | 2 +-
 libmatekbd/matekbd-status.h    | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 22f8bfcfb7f0c18a3bff0dd2c7e1b9094cf4bddb
Author: infirit <infirit@gmail.com>
Date:   Sun Sep 6 23:51:40 2015 +0200

    Cleaning code a bit
    
    Preparing for introspection
    
    Taken from libgnomekbd,
    commit: 9a63194641320da5b9131fe34632f13506d6031b
    from: Sergey V. Udaltsov <svu@gnome.org>

 libmatekbd/matekbd-desktop-config.h   |  5 +++--
 libmatekbd/matekbd-indicator-config.h |  5 +++--
 libmatekbd/matekbd-keyboard-config.h  |  5 +++--
 libmatekbd/matekbd-keyboard-drawing.c | 16 ++++++++--------
 4 files changed, 17 insertions(+), 14 deletions(-)

commit 4e5967f9fc43827b3037c08dad51c30f68f50ba6
Author: infirit <infirit@gmail.com>
Date:   Sun Sep 6 23:44:34 2015 +0200

    Drop GtkObject usage

 libmatekbd/matekbd-keyboard-drawing.c | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

commit c6f92af6d0babc25b16c448d62b79c6e20db9e16
Author: infirit <infirit@gmail.com>
Date:   Sun Sep 6 23:44:20 2015 +0200

    Use gchars in several functions
    
    Taken from libgnomelbd,
    commit: 40eb8328020ce2834983b240feee67963b5bdcb2
    from: Sergey V. Udaltsov <svu@gnome.org>

 libmatekbd/matekbd-desktop-config.c | 8 ++++----
 libmatekbd/matekbd-indicator.c      | 2 +-
 2 files changed, 5 insertions(+), 5 deletions(-)

commit 6632540e604873f0f80d17355c79477323d26b89
Author: infirit <infirit@gmail.com>
Date:   Sun Sep 6 23:43:00 2015 +0200

    Add annotation taken from libgnomekbd

 libmatekbd/matekbd-desktop-config.c   | 4 ++++
 libmatekbd/matekbd-indicator-config.c | 4 ++++
 libmatekbd/matekbd-indicator.c        | 4 ++++
 libmatekbd/matekbd-keyboard-config.c  | 4 ++++
 libmatekbd/matekbd-status.c           | 4 ++++
 libmatekbd/matekbd-util.c             | 4 ++++
 6 files changed, 24 insertions(+)

commit d2c557097250a57ce81281a6113bcbe417bad0ee
Author: infirit <infirit@gmail.com>
Date:   Sun Sep 6 20:43:52 2015 +0200

    Rework gsettings schema building
    
     * Bump intltool required version for gsettings support
     * Extract strings with intltool directly
     * Let autoconf generate the xml files

 configure.ac                                       |   3 +-
 libmatekbd/Makefile.am                             |  12 +-
 ...rg.mate.peripherals-keyboard-xkb.gschema.xml.in | 124 +++++++++++++++++++++
 ...mate.peripherals-keyboard-xkb.gschema.xml.in.in | 124 ---------------------
 po/POTFILES.in                                     |   2 +-
 5 files changed, 133 insertions(+), 132 deletions(-)

commit d30a4f4a5b5a50b76998e473d3ccf20c20001210
Author: monsta <monsta@inbox.ru>
Date:   Wed Aug 19 10:45:21 2015 +0300

    configure.ac: drop obsolete macro
    
    It's been a no-op for a long time.
    See https://mail.gnome.org/archives/commits-list/2011-December/msg00681.html for example.

 configure.ac | 1 -
 1 file changed, 1 deletion(-)

commit a347557efb5420776083fe83fe0e8cb626187615
Author: Monsta <monsta@inbox.ru>
Date:   Tue Jul 21 12:42:57 2015 +0300

    remove mention of deleted Help button from .ui file

 libmatekbd/show-layout.ui | 1 -
 1 file changed, 1 deletion(-)

commit 55a4c5de95341a98f39b372beea40a4763296e1e
Author: infirit <infirit@gmail.com>
Date:   Wed Jul 8 16:43:20 2015 +0200

    Gtk3: Fix dialog sizing

 libmatekbd/show-layout.ui | 2 ++
 1 file changed, 2 insertions(+)

commit ec73dc0edf4db2f80d5408f8a010a09f612aa949
Author: Monsta <monsta@inbox.ru>
Date:   Wed Jul 8 15:12:47 2015 +0300

    layout view/print dialog: removed useless Help button
    
    the link that it led to was never valid anyway - no such page in user guide
    
    adapted from
    https://git.gnome.org/browse/libgnomekbd/commit?id=2eff72e73386c3812841007d8cda14880a7cf387

 libmatekbd/matekbd-keyboard-drawing.c |  5 -----
 libmatekbd/show-layout.ui             | 12 ------------
 2 files changed, 17 deletions(-)

commit 6328394d0927a63120cf2110c105457bd93f601a
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Fri Jun 12 09:32:41 2015 +0200

    Sync translations with transifex

 po/fi.po |  8 ++++----
 po/ru.po | 22 ++++++++++++----------
 po/uk.po | 58 +++++++++++++++++++++++++++++-----------------------------
 3 files changed, 45 insertions(+), 43 deletions(-)

commit e95b8e4af02371ab3124fbeb21d05056cf637d75
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Apr 5 19:44:54 2015 +0200

    Bump version to 1.10.0

 NEWS         | 2 +-
 configure.ac | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit f36170e3443a8734751e41ea061bdad0bb8e05c5
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Sun Apr 5 18:10:27 2015 +0200

    Sync translations with transifex

 po/LINGUAS |   1 +
 po/be.po   | 293 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/ro.po   | 237 +++++++++++++++++++++++++------------------------
 3 files changed, 417 insertions(+), 114 deletions(-)

commit 7e0491525f51c5eaee95ceb5a413e4ca786ea14e
Author: Monsta <monsta@inbox.ru>
Date:   Tue Feb 24 16:34:34 2015 +0300

    first connect to settings, then read them.
    
    fixes the issue with GLib >= 2.43,
    https://git.gnome.org/browse/glib/commit/?id=8ff5668a458344da22d30491e3ce726d861b3619
    
    Closes https://github.com/mate-desktop/libmatekbd/pull/22

 libmatekbd/matekbd-indicator.c | 17 +++++++++--------
 libmatekbd/matekbd-status.c    | 15 ++++++++-------
 2 files changed, 17 insertions(+), 15 deletions(-)

commit 0f4d1375597c2d4ae841c308abe81954066dbbad
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Feb 24 19:44:40 2015 +0100

    Bump version to 1.9.90

 NEWS         | 4 ++--
 configure.ac | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 05e335c573ec7f73288a4915d903ebe477f7556b
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Tue Jan 20 18:33:38 2015 +0100

    Sync translations with transifex

 po/en_GB.po |   4 +-
 po/fi.po    | 262 ++++++++++++++++++++++++++---------------------------
 po/lt.po    |  19 ++--
 po/sr.po    | 294 +++++++++++++++++++++++++++---------------------------------
 4 files changed, 271 insertions(+), 308 deletions(-)

commit 2f8e47538ac7a845f8d2e9a8c831a71028ee811a
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Jan 13 08:19:31 2015 +0100

    Bump version to 1.9.2

 NEWS         | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 0ac03e145a38630a8aa79d045958f08be9005958
Author: monsta <monsta@inbox.ru>
Date:   Thu Dec 25 15:17:12 2014 +0300

    fix UI load in GTK+3 build

 libmatekbd/show-layout.ui | 1 -
 1 file changed, 1 deletion(-)

commit f7a0a4ee01fe91b1d48fa176b9fe2b0861081c85
Author: monsta <monsta@inbox.ru>
Date:   Sat Nov 1 21:34:00 2014 +0300

    fix possible dereference of NULL pointer

 libmatekbd/matekbd-desktop-config.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 3a8e8cc9ac8efbf604945344e8207f087b3d9528
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Sun Sep 21 16:42:34 2014 +0200

    Sync translations with transifex

 po/en_AU.po | 12 ++++++------
 po/et.po    |  6 +++---
 2 files changed, 9 insertions(+), 9 deletions(-)

commit fe54f954d0f028fbb0b9fcf041998cc45ef642e1
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Sun Aug 3 14:06:55 2014 +0200

    Sync translations with transifex

 po/et.po | 235 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 145 insertions(+), 90 deletions(-)

commit 3c83c428816724233318d7b18bc4988e7e7baba2
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Fri Jul 11 22:30:38 2014 +0200

    Sync translations with transifex

 po/ast.po |  35 ++++----
 po/de.po  | 274 ++++++++++++++++++++++++++++----------------------------------
 po/hr.po  | 109 ++++++++++++-------------
 po/lt.po  | 267 ++++++++++++++++++++++++++++++++----------------------------
 po/mr.po  | 245 ++++++++++++++++++++++++++++++++-----------------------
 po/pt.po  |  26 +++---
 6 files changed, 498 insertions(+), 458 deletions(-)

commit 35e7dd3282f38d9e4f1433378de05715af5d39e6
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Jul 1 18:39:45 2014 +0200

    Bump version to 1.9.1

 NEWS         | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 6a72c6906fff77216bb74e83cf7bb11860d33db9
Author: infirit <infirit@gmail.com>
Date:   Tue Jun 24 13:20:40 2014 +0200

    Fix missed key in commit da86c07b10c712b3518366ac77674bae4555f5f3

 libmatekbd/matekbd-keyboard-drawing.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b9a20be720239792ad5183ddcfb905fd1afbe48d
Author: infirit <infirit@gmail.com>
Date:   Tue Jun 24 13:19:48 2014 +0200

    Revert "Add missing header for GTK3"
    
    This reverts commit a6568e07897c0790c7b7debd30f21086d0f976ae.

 libmatekbd/matekbd-keyboard-drawing.c | 3 ---
 1 file changed, 3 deletions(-)

commit a6568e07897c0790c7b7debd30f21086d0f976ae
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Jun 24 12:50:49 2014 +0200

    Add missing header for GTK3
    
    Removed in recent commit, but it is still needed for GDK_ISO_Level3_Shift

 libmatekbd/matekbd-keyboard-drawing.c | 3 +++
 1 file changed, 3 insertions(+)

commit e638c96fd7a859842bf85a0699dba987467c6899
Author: infirit <infirit@gmail.com>
Date:   Fri Jun 6 13:07:33 2014 +0200

    Revert "Use g_object_unref also for Gtk+2"
    
    This reverts commit ecd4ea6300405147d9a5c4f5afb3f9f46272cd4a.

 libmatekbd/matekbd-indicator-config.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 37d47fa524ae742776ece9a45b45451da79ef51d
Author: infirit <infirit@gmail.com>
Date:   Thu Jun 5 17:40:18 2014 +0200

    Bump minimum required version for Gtk+2 (2.24) and Glib (2.36)

 configure.ac | 9 +++------
 1 file changed, 3 insertions(+), 6 deletions(-)

commit da86c07b10c712b3518366ac77674bae4555f5f3
Author: infirit <infirit@gmail.com>
Date:   Thu Jun 5 17:19:17 2014 +0200

    GDK_KEY_* was introduced in Gtk+ 2.22

 libmatekbd/matekbd-indicator.c        |  9 ----
 libmatekbd/matekbd-keyboard-drawing.c | 79 +++++++++++++++++------------------
 2 files changed, 38 insertions(+), 50 deletions(-)

commit ecd4ea6300405147d9a5c4f5afb3f9f46272cd4a
Author: infirit <infirit@gmail.com>
Date:   Thu Jun 5 17:14:30 2014 +0200

    Use g_object_unref also for Gtk+2

 libmatekbd/matekbd-indicator-config.c | 4 ----
 1 file changed, 4 deletions(-)

commit 2007628b8b5bc43ceaabbbd3cfd7c9a3c37941ba
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Apr 26 14:00:42 2014 +0200

    Sync translations with transifex

 po/hi.po | 246 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 144 insertions(+), 102 deletions(-)

commit 567ddc21b997cf6d9dff20f552da5b617c3aa5bd
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Mar 17 18:24:43 2014 +0100

    Bump version to 1.9.0

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 6dd76a02749315eff6fa1a27e18192c7d1023263
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Mar 4 23:44:40 2014 +0100

    Sync translations with transifex

 po/pt.po | 281 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 130 insertions(+), 151 deletions(-)

commit 386f9341c851796af70bcc2a73e2a4d3ba79bd4f
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Feb 28 23:03:21 2014 +0100

    Bump version to 1.8.0

 NEWS         | 2 +-
 configure.ac | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 4a7788bf12acb5d9a9900b9ce2e6d2880495d12f
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Feb 28 23:02:51 2014 +0100

    Sync translations with transifex

 po/ko.po | 241 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 125 insertions(+), 116 deletions(-)

commit bb423e566490dd9c00bee6d9c4a6782e05e5112c
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Feb 23 18:12:46 2014 +0100

    Sync translations with transifex

 po/LINGUAS  |   1 +
 po/el.po    | 243 +++++++++++++++++++++++---------------------------
 po/en_US.po | 289 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/pt_BR.po | 255 ++++++++++++++++++++++++-----------------------------
 po/sk.po    |   7 +-
 po/sl.po    |   6 +-
 6 files changed, 524 insertions(+), 277 deletions(-)

commit 4c468fc1d087095001bd75b3077020b237e8ddb0
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Feb 14 19:39:36 2014 +0100

    Bump version to 1.7.90

 NEWS         | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 3b00a1d0185e1f396a2057a2ada3559d9e5c9b45
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Feb 14 19:31:46 2014 +0100

    Add dist-hook for ChangeLog

 Makefile.am | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit 3d00bdb3345fb91f41b8a6f39ccb1d5511b0db7e
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Feb 14 19:31:36 2014 +0100

    Update NEWS

 NEWS | 4 ++++
 1 file changed, 4 insertions(+)

commit aa805c57eca6016d7d64a51999a5af1e15f9d165
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Feb 14 19:19:57 2014 +0100

    configure: Add check-news

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 74a888d19607df40695ad6e7abcf8d3078db0565
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Feb 14 19:19:35 2014 +0100

    Sync translations with transifex

 po/en_GB.po | 237 ++++++++++++++++++++++++++--------------------------------
 po/sk.po    | 243 +++++++++++++++++++++++++++++-------------------------------
 2 files changed, 225 insertions(+), 255 deletions(-)

commit 5d3b48e403f4786cb0ab5d86327fbf5a8efe39d7
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Feb 11 10:20:31 2014 +0100

    Include autogen.sh in tarball

 Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 6a345f94008f38b6e4ec01c35923c4b010b7a61d
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Jan 18 18:53:17 2014 +0100

    Bump version to 1.7.2

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1ff836350092cfe41526ffeb80f55ef12502a38a
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Jan 18 18:50:47 2014 +0100

    Sync translations with transifex

 po/LINGUAS |   2 +
 po/ar.po   | 239 ++++++++++++--------------
 po/cmn.po  | 288 +++++++++++++++++++++++++++++++
 po/es.po   | 238 +++++++++++++-------------
 po/fr.po   | 224 ++++++++++++-------------
 po/hr.po   | 291 ++++++++++++++++++++++++++++++++
 po/ms.po   | 559 +++++++++++++++++++++++++++++++------------------------------
 po/sq.po   | 270 +++++++++++++++++------------
 8 files changed, 1358 insertions(+), 753 deletions(-)

commit d210440d93496acc2b4807975706210be2e7feb6
Merge: 6846c80 8185d5c
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Jan 6 02:48:54 2014 -0800

    Merge pull request #17 from infirit/master
    
    Add  to ACLOCAL_AMFLAGS for user added flags

commit 8185d5c96321379ebe4cd9b968e754f9eb6f9e23
Author: infirit <infirit@gmail.com>
Date:   Sun Jan 5 14:08:31 2014 +0100

    Add  to ACLOCAL_AMFLAGS for user added flags

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6846c8004eae630f284fee31fb78bfc9803b8e36
Merge: 2ca1bc9 b54f6e9
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Dec 22 15:01:28 2013 -0800

    Merge pull request #16 from infirit/whitespace
    
    Remove all trailing whitespace

commit b54f6e904004bcec2622bbced744f9b93f2def74
Author: infirit <infirit@gmail.com>
Date:   Thu Dec 19 16:35:38 2013 +0100

    Remove all trailing whitespace

 .tx/config                            |  2 +-
 Makefile.am                           |  2 +-
 NEWS                                  | 12 ++++++------
 libmatekbd/Makefile.am                |  4 ++--
 libmatekbd/matekbd-indicator-config.h |  4 ++--
 libmatekbd/matekbd-keyboard-config.c  |  2 +-
 libmatekbd/matekbd-keyboard-config.h  |  4 ++--
 po/am.po                              |  2 +-
 po/ast.po                             |  2 +-
 po/en_AU.po                           |  2 +-
 po/eu.po                              |  2 +-
 po/gl.po                              |  2 +-
 po/gnome-copyrights.txt               |  2 +-
 po/it.po                              |  2 +-
 po/ky.po                              |  2 +-
 po/ru.po                              |  2 +-
 po/sl.po                              |  2 +-
 po/tr.po                              |  2 +-
 po/uk.po                              |  2 +-
 19 files changed, 27 insertions(+), 27 deletions(-)

commit 2ca1bc901f55e254280f649780ce71a30f06bcb8
Merge: 2163107 fd797d5
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Nov 20 03:52:02 2013 -0800

    Merge pull request #13 from infirit/master
    
    explicit declaration of internal libxklavier functions

commit fd797d5a334bc7524f3f5037f87d56eb69f0ec1b
Author: infirit <infirit@gmail.com>
Date:   Mon Nov 18 15:23:03 2013 +0100

    explicit declaration of internal libxklavier functions
    
    from lingnomekbd:
    https://git.gnome.org/browse/libgnomekbd/commit/?id=18332fedc6a24e4efeecfdc78a006140c667568a
    https://bugzilla.gnome.org/show_bug.cgi?id=643754

 libmatekbd/matekbd-keyboard-drawing.c | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 21631070eb725b389b7f34127a4b8ebbbd978406
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Oct 6 18:22:48 2013 +0200

    Bump version to 1.7.1

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 903a0668f0b445c9eb9eafc4dd777aa96d1589ba
Merge: 89bc2ad e571494
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Sep 5 02:01:02 2013 -0700

    Merge pull request #10 from romovs/master
    
    improved indicator font customization

commit e5714942e7b1cad7b7c3e549ad61626469db04f2
Author: romovs <romovs@gmail.com>
Date:   Sat Aug 24 14:57:25 2013 +0300

    improved indicator font customization

 libmatekbd/matekbd-indicator-config.c                  | 14 ++------------
 libmatekbd/matekbd-indicator-config.h                  |  1 -
 libmatekbd/matekbd-status.c                            | 18 ++----------------
 libmatekbd/matekbd.convert                             |  1 -
 ...org.mate.peripherals-keyboard-xkb.gschema.xml.in.in | 13 ++++---------
 5 files changed, 8 insertions(+), 39 deletions(-)

commit 89bc2ad6819ac59628281cf8b01e450a51f23a8e
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Aug 6 08:38:07 2013 +0200

    Sync translations with transifex

 po/LINGUAS |   1 +
 po/am.po   |  26 +--
 po/ky.po   | 288 +++++++++++++++++++++++++++++
 po/sl.po   | 605 ++++++++++++++++++++++++++++++-------------------------------
 po/uk.po   | 266 +++++++++++++--------------
 5 files changed, 725 insertions(+), 461 deletions(-)

commit 15dc5952f9c5296ce533b87a42229a05e908761a
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Jul 31 00:45:40 2013 +0200

    Fix pkgconfig file for GTK3 support

 configure.ac     | 3 ++-
 libmatekbd.pc.in | 2 +-
 2 files changed, 3 insertions(+), 2 deletions(-)

commit 15180a6a16af997d316a35f2fec3578ef78567f9
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Jul 18 00:03:30 2013 +0200

    Bump version to 1.7.0

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f3324cd9f0be0a66c71f2911f38b617f57bd4ecb
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Jul 17 18:02:47 2013 +0200

    GTK3 compatibility

 libmatekbd/matekbd-indicator-config.c |  4 ++
 libmatekbd/matekbd-keyboard-drawing.c | 91 +++++++++++++++++++++++++++--------
 libmatekbd/matekbd-keyboard-drawing.h |  6 ++-
 3 files changed, 78 insertions(+), 23 deletions(-)

commit e4f05bf9db1a5e69c6a17afa35879d3757be8b85
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Jul 17 16:00:13 2013 +0200

    Remove obsolete distro folder

 distro/archlinux/PKGBUILD           | 32 --------------------------------
 distro/archlinux/libmatekbd.install | 17 -----------------
 distro/ubuntu/build                 | 27 ---------------------------
 distro/ubuntu/postinst              |  9 ---------
 distro/ubuntu/postrm                |  6 ------
 distro/ubuntu/preinst               |  8 --------
 distro/ubuntu/prerm                 | 11 -----------
 7 files changed, 110 deletions(-)

commit 1e723b72fe039940825630b0cc0935b0e80946a4
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Jun 23 20:06:28 2013 +0200

    Bump version to 1.6.1

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ea5b148dc56e6d8a84b2e857b3c6343253c67c6e
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed May 8 17:28:00 2013 +0200

    Fixes to use make dist

 configure.ac           | 2 +-
 libmatekbd/Makefile.am | 4 +++-
 po/POTFILES.in         | 2 +-
 3 files changed, 5 insertions(+), 3 deletions(-)

commit 8f377d99f9ff5bcb3328e9f0615b86811bbf0379
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed May 8 15:45:10 2013 +0200

    Fix previous commit typo in schema

 libmatekbd/org.mate.peripherals-keyboard-xkb.gschema.xml.in.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 24dec90f9c2235c3e7c01998a524489cebc919f1
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed May 8 12:51:51 2013 +0200

    Add missing keys in GSettings schema

 libmatekbd/org.mate.peripherals-keyboard-xkb.gschema.xml.in.in | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit b8ea69f04ca37619456242782608fa4dcb4261b4
Author: Scott Balneaves <sbalneav@mate-desktop.org>
Date:   Fri May 3 13:55:42 2013 -0500

    Group concensus: just delete unused code; git log stores it

 libmatekbd/matekbd-indicator.c | 6 ------
 1 file changed, 6 deletions(-)

commit 79c44785180728fb53b2a7cc9b9512619fe45a79
Author: Scott Balneaves <sbalneav@mate-desktop.org>
Date:   Fri May 3 10:46:46 2013 -0500

    Clean up compile, fix bug with handling variants.  Closes #8

 libmatekbd/matekbd-indicator.c | 8 +++++---
 libmatekbd/matekbd-status.c    | 6 +++---
 test/matekbd-status-test.c     | 5 +++++
 3 files changed, 13 insertions(+), 6 deletions(-)

commit d8ff65934543f6e9f2220e8d95b73cd21307f937
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Mar 31 11:54:33 2013 +0200

    Bump version to 1.6.0

 configure.ac | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 2b2898dc895dcfc12a0911105bb8877490c56cc8
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Mar 31 11:52:59 2013 +0200

    Sync translations with transifex

 po/LINGUAS  |   2 +
 po/am.po    | 289 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/ast.po   | 238 ++++++++++++++++++++++++++-----------------------
 po/en_AU.po | 290 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/gl.po    | 234 +++++++++++++++++++++++-------------------------
 po/ru.po    | 228 +++++++++++++++++++++++------------------------
 6 files changed, 930 insertions(+), 351 deletions(-)

commit d3b2d7ceef86f54b9c1b9fc6fed237f4b3e3af1e
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Mar 31 11:52:45 2013 +0200

    Add transifex configuration file

 .tx/config | 7 +++++++
 1 file changed, 7 insertions(+)

commit 6be8b86cbb299f031f8e941c803c035bcd4d3b72
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Mar 29 00:30:10 2013 +0100

    Add empty ChangeLog to allow build from git

 ChangeLog | 2 ++
 1 file changed, 2 insertions(+)

commit 67bc81144fcc687c9a14dee2ffb49da413d0d16b
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Sun Mar 24 16:33:20 2013 -0400

    "Removed ChangeLog"

 ChangeLog | 270 --------------------------------------------------------------
 1 file changed, 270 deletions(-)

commit 12375f6ac965f580b83bf88790275e368af13301
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Feb 7 23:17:23 2013 +0100

    Bump version to 1.5.1

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 504fcbcb537510facb95aba1ff054cc7e887270b
Merge: f579a6f d134acb
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Feb 5 13:49:48 2013 -0800

    Merge pull request #7 from MDykstra/master
    
    AC_CONFIG_HEADERS to please automake 1.13

commit d134acbe3562737dade429a68a4ef9f5d525950d
Author: Marcel Dijkstra <marcel.dykstra@gmail.com>
Date:   Thu Jan 31 01:14:18 2013 +0100

    AC_CONFIG_HEADERS to please automake 1.13

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f579a6f5b230c64698e142c0836f5c1d847a493f
Merge: eca64b3 9178d04
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Jan 28 01:12:05 2013 -0800

    Merge pull request #6 from bhull2010/master
    
    Fix gsettings schema paths

commit 9178d042fd922e78ddc6b49210b332e86377f340
Author: Brent Hull <bhull2010@live.com>
Date:   Sun Jan 27 16:54:01 2013 -0500

    Fix /desktop/ gschema path deprecation

 libmatekbd/org.mate.peripherals-keyboard-xkb.gschema.xml.in.in | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit eca64b3e16a949120e22b2299c98c1fae4f18043
Author: Elan Ruusamäe <glen@delfi.ee>
Date:   Tue Jan 15 18:37:51 2013 +0200

    rename configure.in to configure.ac to be liked by autoconf 1.12
    
    aclocal-1.12: warning: autoconf input should be named 'configure.ac', not 'configure.in'

 autogen.sh                   | 2 +-
 configure.in => configure.ac | 0
 2 files changed, 1 insertion(+), 1 deletion(-)

commit 958dec506a68e41df432b1aa91c1ad229137e758
Merge: 18039ce e8282ca
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Dec 20 01:36:28 2012 -0800

    Merge pull request #5 from cygwinports/master
    
    [libmatekbd] Add mateconf-gsettings-data-convert file

commit e8282cafc4eebdd306b87d3fe8166e98be921d71
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Thu Dec 20 03:22:12 2012 -0600

    Add mateconf-gsettings-data-convert file

 libmatekbd/Makefile.am     |  5 ++++-
 libmatekbd/matekbd.convert | 28 ++++++++++++++++++++++++++++
 2 files changed, 32 insertions(+), 1 deletion(-)

commit 18039cef0df9bcb34ad8a2a41aa221c76471751f
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Sun Nov 18 16:55:59 2012 -0500

    fixed incorrect fsf addresses.

 libmatekbd/matekbd-config-private.h   | 4 ++--
 libmatekbd/matekbd-desktop-config.c   | 4 ++--
 libmatekbd/matekbd-desktop-config.h   | 4 ++--
 libmatekbd/matekbd-indicator-config.c | 4 ++--
 libmatekbd/matekbd-indicator-config.h | 4 ++--
 libmatekbd/matekbd-indicator.c        | 4 ++--
 libmatekbd/matekbd-indicator.h        | 4 ++--
 libmatekbd/matekbd-keyboard-config.c  | 4 ++--
 libmatekbd/matekbd-keyboard-config.h  | 4 ++--
 libmatekbd/matekbd-keyboard-drawing.c | 4 ++--
 libmatekbd/matekbd-keyboard-drawing.h | 4 ++--
 libmatekbd/matekbd-status.c           | 4 ++--
 libmatekbd/matekbd-status.h           | 4 ++--
 libmatekbd/matekbd-util.c             | 4 ++--
 libmatekbd/matekbd-util.h             | 4 ++--
 test/matekbd-indicator-test.c         | 4 ++--
 test/matekbd-keyboard-drawing-test.c  | 4 ++--
 test/matekbd-status-test.c            | 4 ++--
 18 files changed, 36 insertions(+), 36 deletions(-)

commit 64b95dd0aeb98811412b1ff3f6f623e39f84ee7d
Merge: 0a8b472 36636b2
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Nov 3 17:59:41 2012 -0700

    Merge pull request #4 from NiceandGently/master
    
    replace COPYING.LIB with incorrect fsf adress with COPYING v.2.1

commit 36636b2bc9247f5a104ad523cfbd596a391870d2
Author: raveit <chat-to-me@raveit.de>
Date:   Sun Nov 4 01:42:43 2012 +0100

    add COPYING lgplv2

 COPYING | 502 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 502 insertions(+)

commit edd896f6e4928d0fd1ea53a267f27e976bf2d401
Author: raveit <chat-to-me@raveit.de>
Date:   Sun Nov 4 01:24:07 2012 +0100

    remove COPYING.LIB

 COPYING.LIB | 481 ------------------------------------------------------------
 1 file changed, 481 deletions(-)

commit 0a8b47229c6b453556a40b30c84db8f238e3b887
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Oct 9 21:01:21 2012 +0200

    add internationalization support for gsettings schema

 libmatekbd/Makefile.am                             |  16 +--
 .../org.mate.peripherals-keyboard-xkb.gschema.xml  | 119 ---------------------
 ...mate.peripherals-keyboard-xkb.gschema.xml.in.in | 119 +++++++++++++++++++++
 3 files changed, 128 insertions(+), 126 deletions(-)

commit 4900d39a6b133939af115e188d4010731426848d
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Sep 13 16:42:27 2012 +0200

    fix schema name

 libmatekbd/matekbd-desktop-config.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 74e8c123722068886a8b12872601b14f5cc3bbe9
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Sep 3 17:14:37 2012 +0200

    migrate to gsettings

 Makefile.am                                        |   2 +-
 NEWS                                               |  10 +
 capplet/Makefile.am                                |  46 --
 capplet/matekbd-indicator-plugins-add.c            | 207 --------
 capplet/matekbd-indicator-plugins-capplet.c        | 490 -------------------
 ...matekbd-indicator-plugins-capplet.desktop.in.in |  15 -
 capplet/matekbd-indicator-plugins-capplet.h        |  63 ---
 capplet/matekbd-indicator-plugins.ui               | 255 ----------
 capplet/matekbd-indicator-plugins_add.ui           | 142 ------
 configure.in                                       |  22 +-
 libmatekbd.pc.in                                   |   2 +-
 libmatekbd/Makefile.am                             |  29 +-
 ...esktop_mate_peripherals_keyboard_xkb.schemas.in | 277 -----------
 libmatekbd/matekbd-config-private.h                |  30 +-
 libmatekbd/matekbd-desktop-config.c                | 198 ++------
 libmatekbd/matekbd-desktop-config.h                |  12 +-
 libmatekbd/matekbd-indicator-config.c              | 204 ++------
 libmatekbd/matekbd-indicator-config.h              |  13 +-
 libmatekbd/matekbd-indicator-plugin-manager.c      | 406 ----------------
 libmatekbd/matekbd-indicator-plugin-manager.h      | 116 -----
 libmatekbd/matekbd-indicator-plugin.h              | 125 -----
 libmatekbd/matekbd-indicator.c                     |  95 +---
 libmatekbd/matekbd-keyboard-config.c               | 539 ++++++++++-----------
 libmatekbd/matekbd-keyboard-config.h               |  22 +-
 libmatekbd/matekbd-status.c                        |  40 +-
 libmatekbd/matekbd-util.c                          | 118 ++---
 libmatekbd/matekbd-util.h                          |   3 +
 .../org.mate.peripherals-keyboard-xkb.gschema.xml  | 119 +++++
 po/POTFILES.in                                     |   6 -
 29 files changed, 594 insertions(+), 3012 deletions(-)

commit 35c8125877e60b0c3279dd15b26bf0e85df5b136
Merge: 3527f51 b8ac2f3
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Aug 19 14:38:19 2012 -0700

    Merge pull request #3 from steev/master
    
    Fix underlinking issues

commit b8ac2f36147437b3e59a8f41f11261246acfcc4e
Author: Steev Klimaszewski <steev@gentoo.org>
Date:   Fri Aug 17 17:37:42 2012 -0500

    Fix building with glib >= 2.32
    
    Glib 2.32 has split out gmodule to it's own library.  Due to this, do a check for gmodule not just glib.
    
    Also add GMODULE_LIBS to libmatekbd/Makefile.am to prevent underlinking.
    
    Signed-off-by: Steev Klimaszewski <steev@gentoo.org>

 configure.in           | 2 ++
 libmatekbd/Makefile.am | 2 ++
 2 files changed, 4 insertions(+)

commit f0dfa44f76c332b529d5c67ef8b2ba4639cddb09
Author: Steev Klimaszewski <steev@gentoo.org>
Date:   Fri Aug 17 17:34:44 2012 -0500

    libmatekbd: Require -lm when using sqrt.
    
    Since we use sincos, sqrt, and atan, add an AC_SEARCH_LIBS([sqrt],[m]) so that it pulls in -lm where needed.
    
    Signed-off-by: Steev Klimaszewski <steev@gentoo.org>

 configure.in | 2 ++
 1 file changed, 2 insertions(+)

commit 3527f5115ef526a0d77fad0ce63156650d4281be
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Jul 10 12:24:57 2012 +0200

    prepare 1.4.0

 ChangeLog    | 50 ++++++++++++++++++++++++++++++++++++++++++++++----
 configure.in |  2 +-
 2 files changed, 47 insertions(+), 5 deletions(-)

commit 1d5fd9ac44c85562e391c9be0b77d03c2486674c
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Jul 10 12:23:54 2012 +0200

    sync translations with transifex

 po/eu.po | 231 ++++++++++++++++++++++++++++--------------------------
 po/tr.po | 269 ++++++++++++++++++++++++++++++++++-----------------------------
 2 files changed, 267 insertions(+), 233 deletions(-)

commit efc767078c299c0ea67e890ab0ad46e36ea262aa
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Jun 29 13:00:53 2012 +0200

    add po gnome copyrights file

 po/gnome-copyrights.txt | 732 ++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 732 insertions(+)

commit a19eec274804668ed1c6d31ef153fbfe1c285a38
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Apr 13 20:12:49 2012 +0200

    drop wrong quotes in Makefiles (thanks to bickman2k)

 capplet/Makefile.am    | 2 +-
 libmatekbd/Makefile.am | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 484b6a0adf17cf27a2193f6a96e1f44f718261a3
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Wed Feb 22 20:51:56 2012 -0500

    Preparing for 1.2 release

 AUTHORS      |   8 ++-
 ChangeLog    | 228 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 README       |   1 +
 autogen.sh   |   4 +-
 configure.in |   2 +-
 5 files changed, 237 insertions(+), 6 deletions(-)

commit 436060f542b7575731be6f15aad369dda38381f7
Author: Perberos <perberos@gmail.com>
Date:   Thu Jan 26 09:11:16 2012 -0300

    changing pkgbuild source method

 distro/archlinux/PKGBUILD | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 3c709dc41f653a2a5678141a1fec89b4eca60c23
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Mon Jan 9 21:19:08 2012 -0500

    Changed mate.gr.jp to gnome.gr.jp as requested in Issue #86

 po/ChangeLog | 18 +++++++++---------
 po/ja.po     |  2 +-
 2 files changed, 10 insertions(+), 10 deletions(-)

commit ebc577b4e0e3e24a614f35649f30f9db24f9e856
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Thu Dec 8 22:48:59 2011 -0500

    updated version

 configure.in              | 8 ++++----
 distro/archlinux/PKGBUILD | 2 +-
 distro/ubuntu/build       | 2 +-
 3 files changed, 6 insertions(+), 6 deletions(-)

commit 46a8d42095a30a1b62b7f24658f4886941b54800
Author: Perberos <perberos@gmail.com>
Date:   Thu Dec 8 12:58:23 2011 -0300

    GDK_ key constants was renamed to GDK_KEY_ on GTK+-3.0

 INSTALL                                     |   291 -
 Makefile.in                                 |   848 --
 aclocal.m4                                  |  1864 ---
 capplet/Makefile.in                         |   733 --
 capplet/matekbd-indicator-plugins-capplet.c |    25 +-
 config.guess                                |  1502 ---
 config.h.in                                 |    89 -
 config.sub                                  |  1714 ---
 configure                                   | 17314 --------------------------
 configure.in                                |     6 +-
 depcomp                                     |   630 -
 install-sh                                  |   520 -
 intltool-extract.in                         |     0
 intltool-merge.in                           |     0
 intltool-update.in                          |     0
 libmatekbd/Makefile.in                      |   886 --
 libmatekbd/matekbd-indicator.c              |    61 +-
 libmatekbd/matekbd-keyboard-drawing.c       |    37 +-
 libmatekbd/matekbd-status.c                 |     5 +-
 ltmain.sh                                   |  9636 --------------
 m4/intltool.m4                              |   216 -
 m4/libtool.m4                               |  7831 ------------
 m4/ltoptions.m4                             |   369 -
 m4/ltsugar.m4                               |   123 -
 m4/ltversion.m4                             |    23 -
 m4/lt~obsolete.m4                           |    98 -
 missing                                     |   376 -
 mkinstalldirs                               |   162 -
 po/Makefile.in.in                           |   217 -
 test/Makefile.in                            |   638 -
 test/matekbd-indicator-test.c               |    45 +-
 31 files changed, 100 insertions(+), 46159 deletions(-)

commit 731006ad7b3c6c47a52b8ef16e29e2d5ea9e1ea5
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Fri Dec 2 20:49:59 2011 -0500

    Changed version to 2011.12.01

 configure.in              | 4 ++--
 distro/archlinux/PKGBUILD | 2 +-
 distro/ubuntu/build       | 2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

commit 916e2eafe251b44f9d0339282f5d00723899caec
Author: Perberos <perberos@gmail.com>
Date:   Thu Dec 1 20:53:10 2011 -0300

    moving from https://github.com/perberos/mate-desktop-environment

 AUTHORS                                            |     1 +
 COPYING.LIB                                        |   481 +
 ChangeLog                                          |     4 +
 INSTALL                                            |   291 +
 Makefile.am                                        |    22 +
 Makefile.in                                        |   848 +
 NEWS                                               |   107 +
 README                                             |     0
 aclocal.m4                                         |  1864 ++
 autogen.sh                                         |    25 +
 capplet/Makefile.am                                |    46 +
 capplet/Makefile.in                                |   733 +
 capplet/matekbd-indicator-plugins-add.c            |   207 +
 capplet/matekbd-indicator-plugins-capplet.c        |   483 +
 ...matekbd-indicator-plugins-capplet.desktop.in.in |    15 +
 capplet/matekbd-indicator-plugins-capplet.h        |    63 +
 capplet/matekbd-indicator-plugins.ui               |   255 +
 capplet/matekbd-indicator-plugins_add.ui           |   142 +
 config.guess                                       |  1502 ++
 config.h.in                                        |    89 +
 config.sub                                         |  1714 ++
 configure                                          | 17314 +++++++++++++++++++
 configure.in                                       |   138 +
 depcomp                                            |   630 +
 distro/archlinux/PKGBUILD                          |    32 +
 distro/archlinux/libmatekbd.install                |    17 +
 distro/ubuntu/build                                |    27 +
 distro/ubuntu/postinst                             |     9 +
 distro/ubuntu/postrm                               |     6 +
 distro/ubuntu/preinst                              |     8 +
 distro/ubuntu/prerm                                |    11 +
 install-sh                                         |   520 +
 intltool-extract.in                                |     0
 intltool-merge.in                                  |     0
 intltool-update.in                                 |     0
 libmatekbd.pc.in                                   |    11 +
 libmatekbd/Makefile.am                             |   121 +
 libmatekbd/Makefile.in                             |   886 +
 ...esktop_mate_peripherals_keyboard_xkb.schemas.in |   277 +
 libmatekbd/matekbd-config-private.h                |   102 +
 libmatekbd/matekbd-desktop-config.c                |   403 +
 libmatekbd/matekbd-desktop-config.h                |    92 +
 libmatekbd/matekbd-indicator-config.c              |   445 +
 libmatekbd/matekbd-indicator-config.h              |    94 +
 libmatekbd/matekbd-indicator-marshal.list          |     1 +
 libmatekbd/matekbd-indicator-plugin-manager.c      |   406 +
 libmatekbd/matekbd-indicator-plugin-manager.h      |   116 +
 libmatekbd/matekbd-indicator-plugin.h              |   125 +
 libmatekbd/matekbd-indicator.c                     |   968 ++
 libmatekbd/matekbd-indicator.h                     |    80 +
 libmatekbd/matekbd-keyboard-config.c               |   827 +
 libmatekbd/matekbd-keyboard-config.h               |   124 +
 libmatekbd/matekbd-keyboard-drawing-marshal.list   |     2 +
 libmatekbd/matekbd-keyboard-drawing.c              |  2635 +++
 libmatekbd/matekbd-keyboard-drawing.h              |   214 +
 libmatekbd/matekbd-status.c                        |   867 +
 libmatekbd/matekbd-status.h                        |    72 +
 libmatekbd/matekbd-util.c                          |   159 +
 libmatekbd/matekbd-util.h                          |    33 +
 libmatekbd/show-layout.ui                          |    83 +
 libmatekbdui.pc.in                                 |    11 +
 ltmain.sh                                          |  9636 +++++++++++
 m4/intltool.m4                                     |   216 +
 m4/libtool.m4                                      |  7831 +++++++++
 m4/ltoptions.m4                                    |   369 +
 m4/ltsugar.m4                                      |   123 +
 m4/ltversion.m4                                    |    23 +
 m4/lt~obsolete.m4                                  |    98 +
 missing                                            |   376 +
 mkinstalldirs                                      |   162 +
 po/ChangeLog                                       |   772 +
 po/LINGUAS                                         |    69 +
 po/Makefile.in.in                                  |   217 +
 po/POTFILES.in                                     |    16 +
 po/POTFILES.skip                                   |     1 +
 po/ar.po                                           |   323 +
 po/as.po                                           |   249 +
 po/ast.po                                          |   273 +
 po/be@latin.po                                     |   261 +
 po/bg.po                                           |   298 +
 po/bn.po                                           |   286 +
 po/bn_IN.po                                        |   251 +
 po/ca.po                                           |   315 +
 po/ca@valencia.po                                  |   301 +
 po/cs.po                                           |   298 +
 po/da.po                                           |   317 +
 po/de.po                                           |   322 +
 po/dz.po                                           |   243 +
 po/el.po                                           |   311 +
 po/en@shaw.po                                      |   286 +
 po/en_GB.po                                        |   314 +
 po/eo.po                                           |   297 +
 po/es.po                                           |   301 +
 po/et.po                                           |   236 +
 po/eu.po                                           |   281 +
 po/fi.po                                           |   300 +
 po/fr.po                                           |   297 +
 po/ga.po                                           |   257 +
 po/gl.po                                           |   302 +
 po/gu.po                                           |   250 +
 po/he.po                                           |   312 +
 po/hi.po                                           |   249 +
 po/hu.po                                           |   300 +
 po/id.po                                           |   297 +
 po/it.po                                           |   302 +
 po/ja.po                                           |   297 +
 po/ka.po                                           |   233 +
 po/kn.po                                           |   249 +
 po/ko.po                                           |   278 +
 po/lt.po                                           |   269 +
 po/lv.po                                           |   288 +
 po/mai.po                                          |   245 +
 po/mk.po                                           |   262 +
 po/ml.po                                           |   249 +
 po/mr.po                                           |   248 +
 po/ms.po                                           |   271 +
 po/nb.po                                           |   294 +
 po/nl.po                                           |   315 +
 po/nn.po                                           |   256 +
 po/oc.po                                           |   246 +
 po/or.po                                           |   253 +
 po/pa.po                                           |   297 +
 po/pl.po                                           |   300 +
 po/pt.po                                           |   312 +
 po/pt_BR.po                                        |   316 +
 po/ro.po                                           |   284 +
 po/ru.po                                           |   305 +
 po/si.po                                           |   244 +
 po/sk.po                                           |   299 +
 po/sl.po                                           |   312 +
 po/sq.po                                           |   240 +
 po/sr.po                                           |   322 +
 po/sr@latin.po                                     |   322 +
 po/sv.po                                           |   306 +
 po/ta.po                                           |   302 +
 po/te.po                                           |   250 +
 po/th.po                                           |   292 +
 po/tr.po                                           |   263 +
 po/uk.po                                           |   299 +
 po/vi.po                                           |   254 +
 po/zh_CN.po                                        |   306 +
 po/zh_HK.po                                        |   303 +
 po/zh_TW.po                                        |   303 +
 test/Makefile.am                                   |    25 +
 test/Makefile.in                                   |   638 +
 test/matekbd-indicator-test.c                      |    78 +
 test/matekbd-keyboard-drawing-test.c               |   278 +
 test/matekbd-status-test.c                         |    55 +
 148 files changed, 77054 insertions(+)
